function show_img(src){
    console.log(src)
    //页面层
    layer.open({
        type: 1,
        skin: 'layui-layer-rim', //加上边框
        area: ['80%', '80%'], //宽高
        shadeClose: true, //开启遮罩关闭
        end: function (index, layero) {
            return false;
        },
        content: '<div style="text-align:center"><img src="' +src + '" /></div>'
    });
}

layui.use(['jquery', 'laytpl', 'table', 'form', 'miniTab'], function () {

    let $ = layui.jquery,
        form = layui.form,
        table = layui.table,
        layer = layui.layer,
        miniTab = layui.miniTab;
    miniTab.listen();


    let column = [
        {templet: function (d) {
                if(!d.account){
                    return ""
                }
                return  d.account.nickname;
            }, align: 'center', title: '客户姓名'},
        {templet: function (d) {
                if(!d.account){
                    return ""
                }
                return  d.account.mobile;
            }, align: 'center', title: '联系电话'},
        {field: 'remarks', align: 'center', title: '备注'},
        {field: 'number', align: 'center', title: '提现佣金'},
        {field: 'proportion', align: 'center', title: '兑换比例'},
        {field: 'money', align: 'center', title: '兑换后金额'},
        {templet: '#row-status',field: 'status', align: 'center', title: '状态'},
        {field: 'created_at', align: 'center', title: '申请时间'},
        {field: 'audit_at', align: 'center', title: '处理时间'},
        {field: 'operator', align: 'center', title: '处理人'},
        {templet: '#toolbar-operate', minWidth: 250, field: 'right', align: 'center', title: '操作', fixed: 'right'}
    ];


    // 渲染表格
    let listUrl = $('#table-container').data('url');
        let insTb =  table.render({
        elem: '#table-container',
        toolbar: "#toolbar-tpl",
        defaultToolbar: ['filter', 'exports'],
        url: listUrl,
        method: 'post',
        limits: [10, 20, 50, 100, 200, 500, 1000, 2000],
        request: {
            pageName: 'page',
            limitName: 'size',
        },
        skin: 'line',
        parseData: function (res) {
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.data.total, //解析数据长度
                "data": res.data.list //解析数据列表
            };
        },
        page: true,
        cols: [column],
        done: function () {
            Tools.setInsTb(insTb);
        }
    });

    //监听工具条 注意区别toolbar和tool  toolbar是表头上的工具条 tool是行中的工具条
    table.on('toolbar(table-container-filter)', function (obj) {
        let layEvent = obj.event;
        let insTb = Tools.getInsTb();
        let url = $($(this).context).data('href')
        let title = $($(this).context).data('title')
        let width = $($(this).context).data('width') ? $($(this).context).data('width') : '100%';
        let height = $($(this).context).data('height') ? $($(this).context).data('height') : '100%';

        // debugger;
        switch (layEvent) {
            // toolbar 刷新
            case 'refresh':
                refreshTab(insTb);
                return false;
            // 其他 默认为打开弹出层
            default:
                if (layEvent !== 'LAYTABLE_COLS' && layEvent !== 'LAYTABLE_EXPORT') {
                    openLayer(url, title, width, height);
                    return false;
                }
        }
    });

    //监听工具条 注意区别toolbar和tool  toolbar是表头上的工具条 tool是行中的工具条
    table.on('tool(table-container-filter)', function (obj) {
        let data = obj.data;
        let layEvent = obj.event;

        if (layEvent === 'status') {
            let url = $($(this).context).data('href');
            $.post(url, {id: data.id}, function (res) {
                layer.msg(res.msg)
                if (res.code === 0) {
                    insTb.reload();
                }
            })
            return false;
        }
        return false;
    });
});